Interface ServiceEndpointBuilderFactory.ServiceBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
ServiceEndpointBuilderFactory
public static interface ServiceEndpointBuilderFactory.ServiceBuilders
-
Method Summary
Modifier and TypeMethodDescriptionDeprecated.Deprecated.
-
Method Details
-
service
Deprecated.Service (camel-service) Register a Camel endpoint to a Service Registry (such as Consul, Etcd) and delegate to it. Category: cloud Since: 2.22 Maven coordinates: org.apache.camel:camel-service Syntax:service:delegateUriPath parameter: delegateUri (required) The endpoint uri to expose as service- Parameters:
path- delegateUri- Returns:
- the dsl builder
-
service
@Deprecated default ServiceEndpointBuilderFactory.ServiceEndpointBuilder service(String componentName, String path) Deprecated.Service (camel-service) Register a Camel endpoint to a Service Registry (such as Consul, Etcd) and delegate to it. Category: cloud Since: 2.22 Maven coordinates: org.apache.camel:camel-service Syntax:service:delegateUriPath parameter: delegateUri (required) The endpoint uri to expose as service- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- delegateUri- Returns:
- the dsl builder
-